/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.platform.raspberry.utils;

import java.util.ArrayList;
import java.util.List;

import org.fortiss.af3.component.model.Channel;
import org.fortiss.af3.component.model.Component;
import org.fortiss.af3.component.model.OutputPort;
import org.fortiss.af3.deployment.model.ComponentAllocation;
import org.fortiss.af3.deployment.model.Deployment;
import org.fortiss.af3.platform.model.ExecutionUnit;

/**
 * 
 * @author zverlov
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating RED Hash:
 */
public class RaspberryUtils {
	/** Return the target @{link {@link Component} of the an {@link OutputPort}. */
	public static List<Component> getTargetComponent(OutputPort out) {
		ArrayList<Component> result = new ArrayList<Component>();
		for(Channel chan : out.getOutgoingChannels()) {
			result.add(chan.getTarget().getComponent());
		}
		return result;
	}

	/** Returns the @{link {@link ExecutionUnit} where a @{link {@link Component} is deployed. */
	public static ExecutionUnit getEcuForComponent(Component c1, Deployment deploy) {
		for(ComponentAllocation allocaitons : deploy.getComponentAllocations()) {
			if(allocaitons.getComponent() == c1) {
				return allocaitons.getExecutionUnit();
			}
		}

		return null;
	}
}
